Bug 1861681 - QEMU command 'transaction': Bitmap already exists: libvirt-tmp-activewrite [rhel-8.2.1.z]
Summary: QEMU command 'transaction': Bitmap already exists: libvirt-tmp-activewrite [...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux Advanced Virtualization
Classification: Red Hat
Component: libvirt
Version: 8.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 8.3
Assignee: Peter Krempa
QA Contact: yisun
URL:
Whiteboard:
Depends On: 1857735
Blocks: 1857347 1857779
TreeView+ depends on / blocked
 
Reported: 2020-07-29 09:14 UTC by Oneata Mircea Teodor
Modified: 2020-09-07 03:29 UTC (History)
14 users (show)

Fixed In Version: libvirt-6.0.0-25.1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1857735
Environment:
Last Closed: 2020-09-01 09:38:55 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 5375411 None None None 2020-09-07 03:29:34 UTC
Red Hat Product Errata RHSA-2020:3586 None None None 2020-09-01 09:39:45 UTC

Comment 6 yisun 2020-08-21 10:42:02 UTC
[root@dell-per740xd-10 ~]# rpm -qa | grep libvirt-6
libvirt-6.0.0-25.2.module+el8.2.1+7722+a9e38cf3.x86_64

Test steps:
1. create external snapshot
2. do blockcommit with --pivot --active
3. delete snapshot metadata
4. delete snapshot image file
5. repeat 1~4, but in step 2, do blockcommit --acitve, then do a blockjob --pivot
6. repeat 1~5 for 5 times


[root@dell-per740xd-10 ~]# cat test.sh 
vm=$1
for i in {1..5}  
do
      snap_name=snap_$i	
      virsh snapshot-create-as $vm $snap_name --disk-only
      sleep 2
      virsh blockcommit $vm vda --active --pivot
      sleep 2
      virsh snapshot-delete $vm $snap_name --metadata
      rm -f /var/lib/libvirt/images/jeos-27-x86_64.snap_*
      virsh snapshot-create-as $vm $snap_name --disk-only
      virsh blockcommit $vm vda --active
      sleep 2
      virsh blockjob $vm vda --pivot 
      virsh snapshot-delete $vm $snap_name --metadata
      rm -f /var/lib/libvirt/images/jeos-27-x86_64.snap_*
done



[root@dell-per740xd-10 ~]# virsh start avocado-vt-vm1
Domain avocado-vt-vm1 started

[root@dell-per740xd-10 ~]# sh test.sh avocado-vt-vm1
Domain snapshot snap_1 created

Successfully pivoted
Domain snapshot snap_1 deleted

Domain snapshot snap_1 created
Active Block Commit started

Domain snapshot snap_1 deleted

Domain snapshot snap_2 created

Successfully pivoted
Domain snapshot snap_2 deleted

Domain snapshot snap_2 created
Active Block Commit started

Domain snapshot snap_2 deleted

Domain snapshot snap_3 created

Successfully pivoted
Domain snapshot snap_3 deleted

Domain snapshot snap_3 created
Active Block Commit started

Domain snapshot snap_3 deleted

Domain snapshot snap_4 created

Successfully pivoted
Domain snapshot snap_4 deleted

Domain snapshot snap_4 created
Active Block Commit started

Domain snapshot snap_4 deleted

Domain snapshot snap_5 created

Successfully pivoted
Domain snapshot snap_5 deleted

Domain snapshot snap_5 created
Active Block Commit started

Domain snapshot snap_5 deleted

Comment 8 errata-xmlrpc 2020-09-01 09:38:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: virt:8.2 and virt-devel:8.2 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3586


Note You need to log in before you can comment on or make changes to this bug.